#ifndef CBULLET_H
#define CBULLET_H

#include <SDL.h>
#include "CGameObject.h"
#include "CSinCosTable.h"
#include "Functions.h"
#include "CAnimationObject.h"
#include "CWorldParts.h"

extern SDL_Surface *IMGExplosion;

class CBullet : CGameObject
{
    private:
        int Inc;
        int MaxInc;
        void  Move();
    public:
        CBullet(SDL_Surface *RealImgIn, int Xin, int Yin,int Angle,double Speed,int ZOrder,int MaxIncIn,CSinCosTable *SinCosTableIn) : CGameObject(RealImgIn, Xin, Yin,Angle,0, Speed,ZOrder, SinCosTableIn)
        {
            PType = 1;

            MaxInc =MaxIncIn;
            Inc = MaxInc;
        }

};

#endif
