#include "CSurfaceRotationCache.h"

CSurfaceRotationCache::CSurfaceRotationCache(SDL_Surface *Surface, double Ri, double Gi, double Bi)
{
    SDL_Surface *Tmp,*Tmp2;
    Tmp2 = SDL_DisplayFormat(Surface);
    ColorImage(Surface,Tmp2,Ri,Gi,Bi);
    for (int i = 0; i<90; i++)
    {
        Tmp = rotozoomSurface(Tmp2,i*4,1,0);
        SDL_SetColorKey(Tmp,SDL_SRCCOLORKEY,SDL_MapRGB(Tmp->format,255,0,255));
        Surfaces[i] = SDL_DisplayFormat(Tmp);
        SDL_FreeSurface(Tmp);
    }
    SDL_FreeSurface(Tmp2);
}

CSurfaceRotationCache::~CSurfaceRotationCache()
{
    for (int i = 0; i < 90; i++)
        SDL_FreeSurface(Surfaces[i]);
}

SDL_Surface * CSurfaceRotationCache::GetSurfaceAngle(int Angle)
{
    return Surfaces[(Angle %360)/4];
}
